player_planner_data Struct Reference

Data: state (PLAYER_PLANNER_DATA_STATE) More...

`#include <player_interfaces.h>`

## Public Attributes

uint8_t | valid
| Did the planner find a valid path?
uint8_t | done
| Have we arrived at the goal?
player_pose2d_t | pos
| Current location (m,m,rad)
player_pose2d_t | goal
| Goal location (m,m,rad)
player_pose2d_t | waypoint
| Current waypoint location (m,m,rad)
int32_t | waypoint_idx
| Current waypoint index (handy if you already have the list of waypoints). More...
uint32_t | waypoints_count
| Number of waypoints in the plan.

## Detailed Description

Data: state (PLAYER_PLANNER_DATA_STATE)

The `planner` interface reports the current execution state of the planner.

## Member Data Documentation

int32_t player_planner_data::waypoint_idx

Current waypoint index (handy if you already have the list of waypoints).

May be negative if there's no plan, or if the plan is done

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45